//
//  MyLayoutManager.m
//  Stage3
//
//  Created by bill on 5/9/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "MyLayoutManager.h"
#import "MyView.h"

static CGFloat kYOffset = 15.0f;
static CGFloat kXOffset = 25.0f;

@implementation MyLayoutManager

+ (id)layoutManager {
	return [[[MyLayoutManager alloc] init] autorelease];
}

- (void)layoutSublayersOfLayer:(CALayer *)layer {
	CGFloat x = kXOffset;
	for(CALayer *sublayer in layer.sublayers) {
		sublayer.frame = CGRectMake(x, kYOffset, [[layer valueForKey:kMaxAvalibleImageWidth] floatValue], [[layer valueForKey:kMaxAvalibleImageHeight] floatValue]);
		x += [[layer valueForKey:kMaxAvalibleImageWidth] floatValue] + kXOffset;
	}
}

- (CGSize)preferredSizeOfLayer:(CALayer *)layer {
	CGFloat width = [layer.sublayers count] * [[layer valueForKey:kMaxAvalibleImageWidth] floatValue];
	width += ([layer.sublayers count] + 1) * kXOffset;
	return CGSizeMake(width, [[layer valueForKey:kMaxAvalibleImageHeight] floatValue]);
}

- (void)invalidateLayoutOfLayer:(CALayer *)layer {
}

@end
